Bug 172427 - f.field__other_notes_text.value cannot have empty lines
Summary: f.field__other_notes_text.value cannot have empty lines
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: ispec (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Will Woods
QA Contact: Richard Li
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-04 10:32 UTC by Patrick C. F. Ernzer
Modified: 2007-04-18 17:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 13:20:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrick C. F. Ernzer 2005-11-04 10:32:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
I just had the following:
        f.field__other_notes_text.value="It is imperative to switch off  'OS Load Timeout' in the BIOS (under 'Boot'), otherwise the machine will reset during installation (when the timeout is reached)

This is a test config that is massively paired down, it is ponly for my (pcfe) benefit, and does not count at all towards certification";

(note the empty line)

Which had my browser nag: Error: unterminated string literal

editing the offending file by hand and removing the two ^M solved the problem

Version-Release number of selected component (if applicable):
ispec-1.1-6

How reproducible:
Always

Steps to Reproduce:
1. add a 'Other Notes' which contains empty lines
2. Submit
3. Try to access http://MYSERVER/ispec/html/ via browser
  

Actual Results:  only logo and heading visible, opening the JavaScript error dialog on the browser shows "Error: unterminated string literal"

Expected Results:  correct parsing of empty lines

Additional info:

at the very least we should silently ditch the offending ^M

client info:
  firefox-1.0.7-1.4.1
on a RHEL4 U1 based distro

Comment 1 Rob Landry 2006-05-16 13:20:14 UTC
ispec has been deprecated going forward, closing


Note You need to log in before you can comment on or make changes to this bug.